Bug 117327 - devel/devhelp doesn't build with seamonkey
Summary: devel/devhelp doesn't build with seamonkey
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-19 18:00 UTC by Marat N.Afanasyev
Modified: 2008-05-18 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marat N.Afanasyev 2007-10-19 18:00:10 UTC
	devel/devhelp doesn't build with WITH_MOZILLA=seamonkey

Fix: 

None available. I can just propose to mark devel/devhelp broken
	if only seamonkey is installed
How-To-Repeat: 	echo "WITH_MOZILLA=seamonkey">>/etc/make.conf
	cd /usr/ports/devel/devhelp
	make
Comment 1 Martin Wilke freebsd_committer 2008-04-28 15:25:43 UTC
State Changed
From-To: open->feedback

Hi Marat, 

Could you please Test if this issue still exists with an fresh ports 
tree?  

Thanks! 

- Martin 



Comment 2 Martin Wilke freebsd_committer 2008-04-28 15:25:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Track
Comment 3 Marat N.Afanasyev 2008-04-29 06:39:54 UTC
i'll try with fresh seamonkey as soon as possible.

-- 
SY, Marat
Comment 4 Martin Wilke freebsd_committer 2008-05-08 10:27:15 UTC
State Changed
From-To: feedback->closed

Feedback timeout. If this problem still exists, please feel free to 
follow-up this PR so that we can re-open it and find a solution for the 
problem. Thanks!
Comment 5 Marat N.Afanasyev 2008-05-18 12:06:18 UTC
still no luck with seamonkey. devhelp just bails out saying:

Yelper.cpp:48:30: error: nsITypeAheadFind.h: No such file or directory
/usr/local/include/seamonkey/./nsCOMPtr.h: In instantiation of 
'nsDerivedSafe<nsITypeAheadFind>':

and if I place nsITypeAheadFind.h to place where it could be included 
from (symlinking 
/usr/local/include/seamonkey/typeaheadfind/nsITypeAheadFind.h to 
/usr/local/include/seamonkey/), then it says something like

Yelper.cpp: In member function 'nsresult Yelper::Init()':
Yelper.cpp:116: error: 'class nsDerivedSafe<nsITypeAheadFind>' has no 
member named 'Init'
Yelper.cpp:122: error: 'class nsDerivedSafe<nsITypeAheadFind>' has no 
member named 'SetFocusLinks'
Yelper.cpp: In member function 'void Yelper::SetFindProperties(const 
char*, PRBool, PRBool)':

so, i still suppose mark devhelp

.elif ${WITH_MOZILLA} == "seamonkey"
BROKEN=Does not build with seamonkey
.endif

--
SY, Marat
Comment 6 Martin Wilke freebsd_committer 2008-05-18 14:11:16 UTC
State Changed
From-To: closed->open

feedback received. 




Comment 7 Martin Wilke freebsd_committer 2008-05-18 14:11:16 UTC
Responsible Changed
From-To: miwi->gnome

Over to seamonkey maintainer.
Comment 8 dfilter service freebsd_committer 2008-05-18 20:53:22 UTC
mezz        2008-05-18 19:53:17 UTC

  FreeBSD ports repository

  Modified files:
    devel/devhelp        Makefile 
  Log:
  -Convert to current gecko framework (USE_GECKO).
  -Remove seamonkey option; it doesn't build. [1]
  -Correct the USE_LDCONFIG. (Unsure why it has lib/${MOZILLA}.)
  
  PR:             ports/117327 [1]
  Reported by:    Marat N.Afanasyev <marat@zealot.ksu.ru> [1]
  
  Revision  Changes    Path
  1.31      +5 -27     ports/devel/devhelp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Jeremy Messenger freebsd_committer 2008-05-18 20:53:34 UTC
State Changed
From-To: open->closed

Fixed, thanks for report. (removed seamonkey option)